[Resuelto] Woocommerce: desaparece la opción de productos variables y página fuera de servicio  

 
Fernando
 Fernando
Usuario eminente

Muy buenas. 

Necesito crear productos nuevos variables en Woocommerce pero no me aparece la opción de producto variable. En mi web existen ya productos variables anteriores pero no puedo crear nuevos. Mando pantallazo de página de producto ("opción de productos variables no disponible") en la que se ve que no aparece la opción variable (ni en los que quiero crear ni en los existentes, que sin embargo conservan su naturaleza variable). 

He leido en el foro de Wordpress sobre el problema: 

https://wordpress.org/support/topic/product-drop-down-not-there-2

2021.05.06 Advertencia Woocommerce antes de actualizar
2021.05.06 Opción productos variables no disponible

/

Las soluciones que dan son dos: 

1) Actualizar el plugin de Woocommerce: cuando hago esto me quedo sin web (error fatal) y tengo que restaurarla con una superback up. Hace algún tiempo que no puedo actualizar los plugins de mi web porque se produce error fatal. Mando pantallazo ("Advertencia de Woocommerce antes de actualizar") de la página de plugins en Wordpress en el que se puede observar cómo, efectivamente, Woocommerce me indica mucha precaución antes de actualizarlo porque varios plugins relacionados tienen problemas de compatibilidad. He probado a actualizar esos plugins antes pero se produce el error fatal.  

2) Instalar una versión de Wordpress anterior, 5.4.2. Hay a quién le funciona, y a quién no. No me importaría probar. Cada día tengo más miedo a las actualizaciones de Wordpress y de los plugins porque tengo unos cuantos fundamendales y con mucha frecuencia tras actualizar me quedo sin servicio. No sé instalar una versión previa de Wordpress, pero si pensáis que merece la pena probarlo y me decís cómo hacerlo me ocuparé de ello. He actualizado mucho la web y no quiero regresar a versiones anteriores con una superback up para no perder cambios.

Agradezco vuestra ayuda, 

Gracias, 

Fernando

 

 

    

Contenido solo visible a usuarios registrados

Respondido : 06/05/2021 6:50 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola Fernando,

En este caso el problema puedes ser lo que mencionan algún problema de compatibilidad con un plugin con la versión de tu wordpress. Verifica si al instalar y activar el plugin de Enable jQuery Migrate Helper esto se muestra de forma correcta

Si tienes temor de realizar actualizaciones en tu sitio de producción te sugiero clones tu sitio y dentro de este clon realizas las pruebas, de esta forma puedes comprobar lo que funcionan o no antes de realizar cualquier cambio en tu sitio web activo, en la siguiente guía que te comparto puedes verificar como clonar tu sitio web de forma rápida -> https://www.webempresa.com/blog/clonar-wordpress-en-3-clics-sin-perder-tiempo.html

Un Saludo

Respondido : 06/05/2021 7:22 pm
Fernando me gusta

Cursos Gratuitos WordPress

Fernando
 Fernando
Usuario eminente

@karen

Hola Karen, 

Gracias por ambas sugerencias. Como he estado haciendo cambios en la web antes de ver tu respuesta, voy a esperar a mañana para realizar las pruebas y comprobar el funcionamiento, así si se produce un error fatal tendré la superback up que se hará esta noche, actualizada con los últimos cambios.

Me parece muy buena recomendación la de tener un clon de mi web para hacer las pruebas allí. Gracias.

Mañana si saco tiempo para hacer los cambios actualizo mi respuesta. 

Un saludo, 

Fernando  

Respondido : 07/05/2021 9:30 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Fernando.

Ok, dejamos el hilo abierto por sí tienes que retomarlo.

 

Un saludo

Respondido : 07/05/2021 9:46 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Fernando
 Fernando
Usuario eminente

@pepesoler

Hola, 

Iba a realizar el clon de la web pero me encuentro con un error; tengo también una duda. 

1) Error 

Cuando voy a crear el clon me da un error en la pantalla. Me dice: "La ruta de destino no es válida porque no está dentro de public_html o contiene caracteres no válidos". Mando pantallazo donde se ve el dominio donde seleccioné que quiero tener el clon ( https://www.artsolutely.com) y el directorio de destino (vacío, /). 

¿Escribo como directorio de destino public_html? Apuesto a que es una pregunta muy básica pero no entiendo de esto. 

 

2) Espacio: 

No sé si voy a tener suficiente espacio. ¿Se duplicará el espacio actual del uso del disco o no consume tanto espacio? Actualmente utilizo un 63% del disco, y un 16% del disco MySQL. Por si al crear el clon da error por haber excedido el disco. En las instrucciones sobre cómo clonar la web, solo hace la advertencia de espacio en la opción 1 (clonación a través de mis herramientas de control panel), pero entiendo que en la opción 2 (clonación a través de un plugin) sucederá lo mismo. 

 

Muchas gracias, 

Fernando

2021.05.10 Error proceso clonación

 

Respondido : 10/05/2021 5:57 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Fernando.

En ruta tienes que poner " Clon " o el nombre de carpeta donde quieres que se instale. no hace falta que crees primero la carpeta ya la propia aplicación la creara cuando instale el clon.

 ¿Se duplicará el espacio actual del uso del disco o no consume tanto espacio? 

No, no se duplica, el clon consume el mismo espacio que la instalación que tienes, es decir si estas utilizando 1.5gb como mínimo tendras que tener otros 1.5gb disponibles para poder instalar el clon.

 

Prueba a instalar el clon a ver que te dice y vemos si tienes suficiente espacio.

Si puedes instalar el clon primero actualiza todos los plugins, WP y plantilla y como ultimo actualiza WooCommerce

 

Un saludo

 

Respondido : 10/05/2021 9:31 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Fernando
 Fernando
Usuario eminente

@pepesoler

Hola Pepe, 

Gracias por la respuesta. No ha habido suerte, me indica que no tengo espacio suficiente. 

Como hoy ya he realizado cambios en la web, me esperaré a tener la superbackup mañana, y entonces probar a instalar el plugin que decía Karen, el  Enable jQuery Migrate Helper, para ver qué pasa. 

Saludos, 

Fernando

Respondido : 10/05/2021 11:14 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Fernando.

Ok, dejamos el hilo abierto por si necesitas retomarlo.

 

Un saludo

 

Respondido : 10/05/2021 12:05 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Fernando
 Fernando
Usuario eminente

@pepesoler

Hole Pepe, 

Mañana por la mañana instalaré el  Enable jQuery Migrate Helper. Si he entendido bien, ese plugin es para hacer una comprobación, pero no va a solucionar los problemas. 

Por motivos empresariales (un artículo sobre mi galería y la publicación de mi dirección web en una revista semanal nacional), querría tener los productos correctamente configurados para el día 15, objetivo que no tengo claro que vaya a conseguir por los problemas técnicos. 

Estaba pensando que tal vez la solución mejor sea instalar una versión anterior de Wordpress. ¿Qué opinais? Si lo veis bien, ¿tenéis información sobre cómo instalar una versión anterior de WP? 

En el link que compartía en mi primer mensaje, https://wordpress.org/support/topic/product-drop-down-not-there-2/, un usuario indicaba que resolvió sus problemas regresando a WP 5.4.2. Probaría a instalar esa versión. 

Gracias y un saludo, 

Fernando 

Respondido : 10/05/2021 9:49 pm
Argenis
 Argenis
Soporte CMS Webempresa Moderator

Hola Fernando,

El complemento de Enable jQuery Migrate Helper, no solo indica los errores sino que activa ciertas configuraciones para que estos trabajen de forma correcta por lo que al instalarlo y activarlo si es un problema de compatibilidades entre versiones con wordpress se solventara, por lo que no seria necesario el volver a una version anterior de wordpress sin embargo si lo deseas puedes verificar con este complemento:

https://es.wordpress.org/plugins/wp-downgrade/

Una vez lo instales tendrás un nuevo menú:

image

Al ingresar en el realizas el siguiente cambio:

image

Un saludo 🖐️ 

Respondido : 10/05/2021 10:31 pm

Cursos Gratuitos WordPress

Fernando
 Fernando
Usuario eminente

@argenis

Gracias Argenis, 

Estoy tratando de resolver los problemas. Te comento:

1) He activado el plugin plugin Enable JQuery. Observo que en los productos sigue sin aparecer producto variable. 

2) He probado a ir actualizando uno a uno los plugins que me indica Woocommerce que actualice antes de actualizarlo a él mismo. 

  • Yoast seo Premium -ok
  • Yoast seo Multilingual - ok 
  • Yoast Seo - ok 
  • WooCommerce Product Add-ons - ok
  • WooCommerce Stripe Gateway - ok
  • WooCommerce PayPal Checkout Gateway - SYSTEM ERROR. Al actualizar este plugin me quedo sin web. 

3) Restauro web con superback up, public_html y base de datos.  

4) Desactivo el plugin WooCommerce PayPal Checkout Gateway

5) Actualizo nuevamente los plugins que me indica Woocommerce. Cosa curiosa para mí (con mis conocimientos mínimos) veo que los plugins que ya había actualizado antes siguen actualizados, a pesar de haber restaurado mi web con la superback up anterior a haberlos actualizados.

  • Mailchimp for WooCommerce: me indica que la actualización ha fallado, pero compruebo que me web sigue funcionando. 
  • Checkout Field Editor for WooCommerce: ídem anterior, fallo actualización. 
  • WooCommerce Multilingual: ídem anterior, fallo actualización. 

A continuación compruebo que sigo sin poder crear productos variables y procedo a activar Woocommerce. Cruzo los dedos. Doy a actualizar y me aparece una popup que me informa de que esta es una actualización mayor y que si estoy seguro. En esa ventana me indica los complementos que debería tener actualizados. Cruzo los dedos con más fuerza, doy al botón actualizar y... por fortuna solo me da error de actualiación, no me deja la web sin servicio otra vez. 

Por tal motivo, muy a mi pesar, que yo sepa solo me queda hacer la prueba de instalar una versión inferior de WP. 

No sé si me va a dar tiempo ahora o ya me tengo que esperar dos horas, tras llevar a los niños al cole. Luego te confirmo el resultado, si se os ocurriera otra alternativa por favor comentadme.

Esto de las actualizaciones de WP es con frecuencia desesperante y una pérdida de productividad enorme. 

Gracias, 

Fernando

 

 

2021.05.11 Mensaje Woocommerce

 

 

 

 

 

Respondido : 11/05/2021 6:31 am
Fernando
 Fernando
Usuario eminente

Hola de nuevo, 

Tras todas las pruebas que citaba en mi mensaje anterior, he insalado WP downgrade y me aparece el mensaje de advertencia adjunto.

2021.05.11 Mensaje WP donwgrade

No suena muy esperanzador. 

Con el fin de poder volver a tener productos variables, y tras haber probado todo lo anterior, ¿me recomendáis entonces que reinstale una versión anterior? Siguiendo las indicaciones de un usuario en el foro de Woocommerce, ¿regreso a la versión 5.4.2 o pensáis que otra versión es más apropiada? ¿Debo preocuparme mucho del mensaje de WP Downgrade? 

Por favor, id pensando en un plan B por si disminuyo de versión y sigo sin poder configurar productos.

Gracias, 

Fernando

Respondido : 11/05/2021 6:41 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Fernando
 Fernando
Usuario eminente

Solucionado. Con la versión 5.4.2 puedo indicar que un producto es variable. 

Uf... por fin. 

Gracias por todas las sugerencias y buen día, 

Fernando 

Respondido : 11/05/2021 10:14 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Fernando.

Genial !!! me alegra que los solucionaras 😊 

 

Cerramos el tema.

Un saludo

Respondido : 11/05/2021 10:23 am
Fernando me gusta

wpdoctor-revisa-la-salud-de-tu-wordpress